package com.xtd.project.hkmanager.entity;

import com.xtd.common.base.BaseForm;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @author lym
 * @date 2020/4/14 14:13
 */
@Data
public class AlarmForm extends BaseForm {
    private String guid;

    @ApiModelProperty(value = "所属区域ID",example = "所属区域ID")
    private String fkRegionId;

    @ApiModelProperty(value = "区域名称",example = "区域名称")
    private String regionName;

    @ApiModelProperty(value = "编码设备id",example = "编码设备id")
    private String fkEncodeId;

    @ApiModelProperty(value = "设备ID",example = "设备ID")
    private String fkDeviceId;

    @ApiModelProperty(value = "设备名称",example = "设备名称")
    private String deviceName;

    @ApiModelProperty(value = "事件规则id",example = "事件规则id")
    private String eventRuleId;

    @ApiModelProperty(value = "事件类型id",example = "事件类型id")
    private Integer eventTypeId;

    @ApiModelProperty(value = "事件类型名称",example = "事件类型名称")
    private String eventTypeName;

    @ApiModelProperty(value = "报警名称",example = "报警名称")
    private String alarmName;

    @ApiModelProperty(value = "报警时间",example = "报警时间")
    private Date alarmTime;

    @ApiModelProperty(value = "报警等级",example = "报警等级")
    private String alarmLevel;

    @ApiModelProperty(value = "处理状态（0：未处理  1：已处理）",example = "处理状态（0：未处理  1：已处理）")
    private Integer handleStatus;
}
