package com.xtd.project.hkmanager.entity;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @className: ArtemisConfigInfo
 * @description: 安防平台配置信息
 * @author: lym
 * @date: 2020/4/27 14:59
 */
@Data
@Api("安防平台配置信息")
public class ArtemisConfigInfo {

    @ApiModelProperty(value = "海康安防平台地址",example = "海康安防平台地址")
    public String path;
    @ApiModelProperty(value = "海康合作方key",example = "海康合作方key")
    public String appkey;
    @ApiModelProperty(value = "海康合作方密钥",example = "海康合作方密钥")
    public String appsecret;
    @ApiModelProperty(value = "安防平台接口路径",example = "安防平台接口路径")
    public String host;
}
