package com.xtd.project.hkmanager.entity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;

/**
 * 预置点配置信息
 * @author lym
 * @date 2020/4/23 16:55
 */
@Data
@ApiModel("预置点配置信息")
public class PresetConfigForm {

    @ApiModelProperty(value = "设备ID",example = "设备ID")
    @NotNull(message = "设备ID")
    private String deviceId;

    @ApiModelProperty(value = "预置点名称",example = "预置点名称")
    @NotNull(message = "预置点名称不能为空")
    private String presetName;

    @ApiModelProperty(value = "预置点编号，整数，通常在300以内",example = "预置点编号，整数，通常在300以内")
    private Integer presetIndex;
}
