package com.xtd.project.hkmanager.mapper;

import com.xtd.common.base.BaseMapper;
import com.xtd.project.hkmanager.entity.Alarm;
import com.xtd.project.hkmanager.entity.AlarmForm;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface AlarmMapper extends BaseMapper<Alarm,String> {

    /**
     * 查找存在id集
     * @return
     */
    public List<String> findIds();

    /**
     * 批量添加
     * @param list
     * @return
     */
    public int batchSave(@Param("list") List<Alarm> list);

    /**
     * 查询列表
     * @param form
     * @return
     */
    public List<Alarm> selectList(AlarmForm form);
}