package com.xtd.project.hkmanager.service;

import com.xtd.common.base.BaseServie;
import com.xtd.project.hkmanager.entity.Region;
import com.xtd.project.hkmanager.entity.RegionForm;

import java.util.List;
import java.util.Map;

/**
 * @author lym
 * @date 2020/4/7 17:25
 */
public interface RegionService extends BaseServie<Region,String> {
    /**
     * 批量添加区域
     * @return
     */
    public int batchSave(Map<String, Region> map);

    public List<Region> selectList(RegionForm region);

    /**
     * 查询区域树
     * @param form
     * @return
     */
    public List<RegionForm> selectTree(RegionForm form);
}
