package com.xtd.common.base;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * @author lym
 * @date 2020/4/13 11:52
 */
@Data
public class BaseForm implements Serializable {

    @ApiModelProperty(value = "主键",example = "主键")
    private String guid;

    @ApiModelProperty(value = "机构ID",example = "机构ID")
    private String fkOrgGuid;

    /**
     * 分页
     */
    protected Integer pageNum = 1;

    protected Integer pageSize = 10;

    @ApiModelProperty(value = "模糊查询参数",example = "模糊查询参数")
    private String params;

    @ApiModelProperty(value = "备注",example = "备注")
    private String remark;

    @ApiModelProperty(value = "状态 0：已删除  1：未删除",example = "状态 0：已删除  1：未删除")
    private Integer state;

    private String createUser;

    private Date createTime;

    private String modifiedUser;

    private Date modifiedTime;
}
