package com.xtd.project.hkmanager.entity;

import com.xtd.common.base.BaseForm;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author lym
 * @date 2020/4/13 16:08
 */
@Data
public class DeviceForm extends BaseForm {

    @ApiModelProperty(value = "编码设备id",example = "编码设备id")
    private String fkEncodeId;

    @ApiModelProperty(value = "设备名称",example = "设备名称")
    private String deviceName;

    @ApiModelProperty(value = "设备类型",example = "设备类型")
    private String type;

    @ApiModelProperty(value = "所属区域ID",example = "所属区域ID")
    private String fkRegionId;

    @ApiModelProperty(value = "通道号",example = "通道号")
    private Integer channelNo;

    @ApiModelProperty(value = "传输协议",example = "传输协议")
    private String transtypeName;

    @ApiModelProperty(value = "设备状态（0：未知  1：在线  2：离线）",example = "设备状态（0：未知  1：在线  2：离线）")
    private Integer deviceStatus;

    @ApiModelProperty(value = "安装位置",example = "安装位置")
    private String installLocation;

    @ApiModelProperty(value = "ip",example = "ip")
    private String ip;


}
