package com.xtd.project.hkmanager.entity;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author lym
 * @date 2020/4/24 10:01
 */
@Data
@Api("播放视频信息")
public class PlayForm {
    @ApiModelProperty(value = "设备ID",example = "设备ID")
    private String deviceId;

    @ApiModelProperty(value = "码流类型，0:主码流 1:子码流 2:第三码流 参数不填，默认为主码流",example = "码流类型，0:主码流 1:子码流 2:第三码流 参数不填，默认为主码流")
    private Integer streamType;

    @ApiModelProperty(value = "取流协议 rtsp:RTSP协议,rtmp:RTMP协议,hls:HLS协议 参数不填，默认为RTSP协议",example = "取流协议 rtsp:RTSP协议,rtmp:RTMP协议,hls:HLS协议 参数不填，默认为RTSP协议")
    private String protocol;

    @ApiModelProperty(value = "传输协议 0:UDP 1:TCP 默认是TCP",example = "传输协议 0:UDP 1:TCP 默认是TCP")
    private Integer transmode;

    @ApiModelProperty(value = "标识扩展内容",example = "标识扩展内容")
    private String expand;
}
