package com.xtd.project.hkmanager.service;

import com.xtd.common.base.BaseServie;
import com.xtd.project.hkmanager.entity.Alarm;
import com.xtd.project.hkmanager.entity.AlarmForm;

import java.util.List;
import java.util.Map;

/**
 * @author lym
 * @date 2020/4/14 10:01
 */
public interface AlarmService extends BaseServie<Alarm,String> {

    /**
     * 批量添加
     * @param map
     * @return
     */
    public int batchSave(Map<String,Alarm> map);

    /**
     * 查询列表
     * @param alarmForm
     * @return
     */
    public List<Alarm> selectList(AlarmForm alarmForm);
}
